> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Simulation



## OpenAPI

````yaml api-reference/openapi-testing.json POST /simulation
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Testing
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /simulation:
    post:
      tags:
        - Simulation Endpoint
      summary: Create a Simulation
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Card Auth
                value:
                  simulation:
                    amount: '25.10'
                    card_id: card_104
                    merchant:
                      address:
                        city: LAS VEGAS
                        country: USA
                        postal_code: '88901'
                        state: NV
                      mcc: '5411'
                      mid: '4445025949032'
                      name: 'KROGER #10626'
                  type: card_event.auth_request
            schema:
              properties:
                simulation:
                  description: >-
                    The inputs to trigger the simulation. The required fields
                    are dependent on the simulation type
                  type: object
                type:
                  description: Type of simulation to run
                  type: string
              required:
                - type
                - simulation
        description: The simulation to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value: null
              schema:
                properties:
                  simulation:
                    description: >-
                      The inputs to trigger the simulation. The required fields
                      are dependent on the simulation type
                    type: object
                  type:
                    description: Type of simulation to run
                    type: string
          description: The simulation created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````